Subject: [ieee-ietf-coord] Augmentation of ieee802-dot1q-bridge (draft-ietf-pim-igmp-mld-snooping-yang)

From: Alvaro Retana <[email-masked]>
Date: Wed, 8 Apr 2020 15:33:07 -0700

Mostly FYI…

The pim WG has been working on a YANG model to configure and manage
IGMP/MLD snooping devices [1].  The draft has passed WGLC and has been sent
to the IESG for publication — I am the responsible AD and we’re waiting for
the authors to address my comments before moving into IESG Evaluation.

The new module (ietf-igmp-mld-snooping) augments ieee802-dot1q-bridge to
enable snooping on a bridge, or a specific VLAN.

This is the first YANG module that I process which augments an IEEE module,
so I’m sending this note just in case there’s some type of additional
coordination needed.  Please let me know.

Thanks!!

Alvaro.

[1] https://datatracker.ietf.org/doc/draft-ietf-pim-igmp-mld-snooping-yang/

---

From: ROBERT GROW <[email-masked]>
Date: Wed, 8 Apr 2020 16:24:59 -0700

Alvaro:

The management arcs to be used certainly has to be understood.  If the urn arcs use the ieee root we definitely need additional coordination both with any IEEE subgroups included in the urn and I expect the RAC will be interested also.

—Bob Grow

> On Apr 8, 2020, at 3:33 PM, Alvaro Retana <[email-masked]> wrote:
> 
> Mostly FYI…
> 
> 
> The pim WG has been working on a YANG model to configure and manage IGMP/MLD snooping devices [1].  The draft has passed WGLC and has been sent to the IESG for publication — I am the responsible AD and we’re waiting for the authors to address my comments before moving into IESG Evaluation.
> 
> The new module (ietf-igmp-mld-snooping) augments ieee802-dot1q-bridge to enable snooping on a bridge, or a specific VLAN.
> 
> 
> This is the first YANG module that I process which augments an IEEE module, so I’m sending this note just in case there’s some type of additional coordination needed.  Please let me know.
> 
> Thanks!!
> 
> Alvaro.
> 
> 
> 
> [1] https://datatracker.ietf.org/doc/draft-ietf-pim-igmp-mld-snooping-yang/ <https://datatracker.ietf.org/doc/draft-ietf-pim-igmp-mld-snooping-yang/> 
> 
> _______________________________________________
> ieee-ietf-coord mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord <https://www.ietf.org/mailman/listinfo/ieee-ietf-coord>

---

From: Alvaro Retana <[email-masked]>
Date: Thu, 9 Apr 2020 08:52:51 -0700

Bob:

I’m adding the authors (and the chairs of the pim WG) who would have a much
better clue about what you’re pointing out than me.

As far as I can see, this is the relevant text:

  import ieee802-dot1q-bridge {
    prefix "dot1q";
  }
…
  augment "/dot1q:bridges/dot1q:bridge" {
…
  augment "/dot1q:bridges/dot1q:bridge"+
    "/dot1q:component/dot1q:bridge-vlan/dot1q:vlan" {

I may of course be completely misunderstanding your point.

Thanks!

Alvaro.

On April 8, 2020 at 7:25:03 PM, ROBERT GROW ([email-masked]) wrote:

Alvaro:

The management arcs to be used certainly has to be understood.  If the urn
arcs use the ieee root we definitely need additional coordination both with
any IEEE subgroups included in the urn and I expect the RAC will be
interested also.

—Bob Grow

Mostly FYI…

Thanks!!

Alvaro.

_______________________________________________
ieee-ietf-coord mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ieee-ietf-coord

---

From: ROBERT GROW <[email-masked]>
Date: Thu, 9 Apr 2020 11:16:54 -0700

Alvaro:

I haven’t looked at your draft so was responding in general, not in specifics for snooping.  Both IEEE and IETF folk need to be comfortable with maintaining unique YANG management arcs.

For YANG and SNMP, we received an IEEE root assignment.  Within IEEE, extending one of those arcs is a self administered registry, the rules for which are specified in IEEE Std 802.  The YANG rules are in IEEE Std 802d-2017.  A snippet from 802c:

For example, in IEEE Std 802.1Q, a URN value for use in a YANG model would take the following form: urn:ieee:std:802.1Q:yang:{resourceIdentifier}
Or in IEEE Std 802.11, a URN value for use in a YANG model would take the following form: urn:ieee:std:802.11:yang:{resourceIdentifier} 

This allows each IEEE standard to define management arcs within their standard.  This relies on IEEE standards being given a unique number, but those numbers are obviously only unique with IEEE, not necessarily globally unique.  When a different standard uses the root arc (like the 802.1Q example quoted and assigns its own resourceIdentifier, the possibility of non unique strings being defined in two different standards gets significantly worse than it is for the one standard.  

We simply need to make sure we maintain unique names, and how to document it if there are common roots.  Then decide if that approach needs to be documented in IEEE Std 802.

—Bob

> On Apr 9, 2020, at 8:52 AM, Alvaro Retana <[email-masked]> wrote:
> 
> Bob:
> 
> I’m adding the authors (and the chairs of the pim WG) who would have a much better clue about what you’re pointing out than me.
> 
> On April 8, 2020 at 7:25:03 PM, ROBERT GROW ([email-masked] <mailto:[email-masked]>) wrote:
> 
>> Alvaro:
>> 
>>> On Apr 8, 2020, at 3:33 PM, Alvaro Retana <aretana.ietf@gmail..com <mailto:[email-masked]>> wrote:
>>> 
>>> Mostly FYI…
>>> 
>>>

---

From: Scott Mansfield <[email-masked]>
Date: Fri, 10 Apr 2020 22:01:11 +0000

The issue related to namespace is documented in RFC7950…

<snip section 4.2.8>

   If a module augments another module, the XML elements that are added

   to the encoding are in the namespace of the augmenting module.  For

   example, if the above augmentation were in a module with prefix

   "other", the XML would look like:

   XML Encoding Example:

     <user>

       <name>alicew</name>

       <full-name>Alice N. Wonderland</full-name>

       <class>drop-out</class>

       <other:uid>1024</other:uid>

     </user>

   The "augment" statement is covered in Section 7.17 <https://tools.ietf.org/html/rfc7950#section-7.17> .

</snip section 4.2.8>

It would be best if names of nodes in different augmentations didn’t conflict because then the tree would be easier to understand.  But it isn’t required.

So, bottom line, there isn’t any impact on the IEEE URN or namespace.

Regards,

-scott.

From: ieee-ietf-coord <[email-masked]> On Behalf Of ROBERT GROW
Sent: Thursday, April 9, 2020 2:17 PM
To: Alvaro Retana <[email-masked]>
Cc: <[email-masked]> <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [ieee-ietf-coord] Augmentation of ieee802-dot1q-bridge (draft-ietf-pim-igmp-mld-snooping-yang)

Alvaro:

—Bob

On Apr 9, 2020, at 8:52 AM, Alvaro Retana <[email-masked] <mailto:[email-masked]> > wrote:

Bob:

    prefix "dot1q";

  }

…

…

 

Thanks!

Alvaro.

On April 8, 2020 at 7:25:03 PM, ROBERT GROW ([email-masked] <mailto:[email-masked]> ) wrote:

Alvaro:

—Bob Grow

On Apr 8, 2020, at 3:33 PM, Alvaro Retana <aretana.ietf@gmail..com <mailto:[email-masked]> > wrote:

Mostly FYI…

 

Thanks!!

Alvaro.

_______________________________________________
ieee-ietf-coord mailing list
 <mailto:[email-masked]> [email-masked]
 <https://www.ietf.org/mailman/listinfo/ieee-ietf-coord> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Wed, 15 Apr 2020 14:02:24 +0000

+1 to Scott’s comments.

The actual augmentations appear to be:

   augment /dot1q:bridges/dot1q:bridge:
       +--rw igmp-snooping-instance?   igmp-snooping-instance-ref
      +--rw mld-snooping-instance?    mld-snooping-instance-ref

   augment /dot1q:bridges/dot1q:bridge/dot1q:component/dot1q:bridge-vlan/dot1q:vlan:
       +--rw igmp-snooping-instance?   igmp-snooping-instance-ref
       +--rw mld-snooping-instance?    mld-snooping-instance-ref

My presumption is that IEEE/802.1 would be unlikely to define the identifiers “igmp-snooping-instance” and “ld-snooping-instance” and so the risk of using the same name in IEEE would seem to be pretty small?  And Scott has already pointed out that not a protocol issue anyway, just undesirable from a model usability POV.

Regards,
Rob

From: ieee-ietf-coord <[email-masked]> On Behalf Of Scott Mansfield
Sent: 10 April 2020 23:01
To: ROBERT GROW <[email-masked]>; Alvaro Retana <[email-masked]>
Cc: [email-masked]; [email-masked]; <[email-masked]> <[email-masked]>
Subject: Re: [ieee-ietf-coord] Augmentation of ieee802-dot1q-bridge (draft-ietf-pim-igmp-mld-snooping-yang)

<snip section 4.2.8>

   XML Encoding Example:

     <user>
       <name>alicew</name>

   The "augment" statement is covered in Section 7.17<https://tools.ietf.org/html/rfc7950#section-7.17>.
</snip section 4.2.8>

Regards,
-scott.

From: ieee-ietf-coord <[email-masked]<mailto:[email-masked]>> On Behalf Of ROBERT GROW
Sent: Thursday, April 9, 2020 2:17 PM
To: Alvaro Retana <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>> <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [ieee-ietf-coord] Augmentation of ieee802-dot1q-bridge (draft-ietf-pim-igmp-mld-snooping-yang)

Alvaro:

—Bob

On Apr 9, 2020, at 8:52 AM, Alvaro Retana <[email-masked]<mailto:[email-masked]>> wrote:

Bob:

Thanks!

Alvaro.

On April 8, 2020 at 7:25:03 PM, ROBERT GROW ([email-masked]<mailto:[email-masked]>) wrote:
Alvaro:

—Bob Grow

On Apr 8, 2020, at 3:33 PM, Alvaro Retana <aretana.ietf@gmail..com<mailto:[email-masked]>> wrote:

Mostly FYI…

Thanks!!

Alvaro.

_______________________________________________
ieee-ietf-coord mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ieee-ietf-coord

_______________________________________________
ieee-ietf-coord mailing list
[email-masked]<mailto:[email-masked]>
https://www..ietf.org/mailman/listinfo/ieee-ietf-coord<https://www.ietf.org/mailman/listinfo/ieee-ietf-coord>